ToME: the Tales of Maj'Eyal

Everything about ToME
It is currently Tue Aug 20, 2019 12:17 pm

All times are UTC




Post new topic Reply to topic  [ 5 posts ] 
Author Message
PostPosted: Sat Apr 20, 2019 1:45 am 
Offline

Joined: Thu Jan 26, 2012 2:40 am
Posts: 3
dear all, i want build tome v1.6.0 more than three weeks , but couldn't success。
My system is windows 10 and clone newest tome version with link "git.net-core.org/tome/t-engine4.git"
first:
I try compile with guide "Guide to compiling Tome 4 on Windows 10"(viewtopic.php?f=36&t=48566&p=229734&hilit=cmake#p229734) step by step, but can't success.
In win32 show error:
/mingw32/i686-w64-mingw32/include/_mingw.h:269:2: error: Only Win32 target is supported!
#error Only Win32 target is supported!
and
/mingw32/i686-w64-mingw32/include/sec_api/stdio_s.h:491:3: error: unknown type name '__declspec'
_SECIMP int __cdecl vsprintf_s(char *_DstBuf,size_t _Size,const char *_Format,va_list _ArgList);
^
/mingw32/i686-w64-mingw32/include/sec_api/stdio_s.h:16:17: note: expanded from macro '_SECIMP'
#define _SECIMP __declspec(dllimport)
In win64, can't success again.

second:
I compile with Clion 2019.1, but failed again.

third(now):
I want compile with Visual Studio 2017, but i don't know i can success or not.

who can tell me compile v1.6.0 in window 10, i should use which develope tools and steps?
I very like tome, please help. Thank very much.

My english is not good, thank you for reading my question.


Top
 Profile  
 
PostPosted: Tue Apr 23, 2019 12:24 pm 
Offline
Perspiring Physicist

Joined: Sun Sep 09, 2012 7:43 am
Posts: 5923
Why are you trying to do this?
Unless something super low level has changed, new versions only require an updated module file. Those aren't compiled. You should be able to run them from a folder.

_________________
My feedback meter decays into coding. Give me feedback and I make mods.


Top
 Profile  
 
PostPosted: Tue Apr 23, 2019 2:09 pm 
Offline

Joined: Thu Jan 26, 2012 2:40 am
Posts: 3
HousePet wrote:
Why are you trying to do this?
Unless something super low level has changed, new versions only require an updated module file. Those aren't compiled. You should be able to run them from a folder.


Thank you for your reply.
Because i don't get exe file from git and src folder was updated one month ago, so i want to compile.


Top
 Profile  
 
PostPosted: Wed Apr 24, 2019 12:51 am 
Offline
Perspiring Physicist

Joined: Sun Sep 09, 2012 7:43 am
Posts: 5923
Just use the files from the currently available version.

_________________
My feedback meter decays into coding. Give me feedback and I make mods.


Top
 Profile  
 
PostPosted: Wed Apr 24, 2019 3:10 pm 
Offline

Joined: Thu Jan 26, 2012 2:40 am
Posts: 3
HousePet wrote:
Just use the files from the currently available version.


HousePet, thanks.


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 5 posts ] 

All times are UTC


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Group